import java.io.*;

class steamTest6
{
public static void main(String args[]) throws IOException
{
   steam s=new steam();
   Text cin=new Text();
   double v1,v2;
   String ss,s1[];
   s1=new String[7];
   s1[0]="P";
   s1[1]="T";
   s1[2]="v";
   s1[3]="h";
   s1[4]="u";
   s1[5]="s";
   s1[6]="x";
   System.out.println(" known properties : \n"+
   "tv tp th tu ts tx  \n"+
   "pv pt ph pu ps px \n"+
   "vp vt \n");
   ss=cin.readString();
   System.out.print("v1 = ");
   v1=cin.readDouble();
   System.out.print("v2 = ");
   v2=cin.readDouble();
   double pp[]=s.property_SI(ss,v1,v2);
    System.out.println(Matrix.toStringT(pp));
    }
}